import 'package:json_annotation/json_annotation.dart';

part 'process_request.g.dart';

@JsonSerializable()
class ProcesseRequest {
  final String deviceId;
  final String processId;
  final int id;
  final int asked;
  final String date;

  factory ProcesseRequest.fromJson(Map<String, dynamic> json) =>
      _$ProcesseRequestFromJson(json);

  ProcesseRequest({
    required this.deviceId,
    required this.processId,
    required this.id,
    required this.asked,
    required this.date,
  });

  Map<String, dynamic> toJson() => _$ProcesseRequestToJson(this);
}
