import 'package:soliq_id/src/screens/face_id_signin.dart';
import 'package:soliq_id/src/utils/translations/en.dart';
import 'package:soliq_id/src/utils/translations/eng.dart';
import 'package:soliq_id/src/utils/translations/ka.dart';
import 'package:soliq_id/src/utils/translations/ru.dart';
import 'package:soliq_id/src/utils/translations/uz.dart';

enum LocalizationType {
  UZ,
  RU,
  UZ_KIRILL,
  KR,
  EN
}

String getLocalizationType(LocalizationType localizationType) {
  switch (localizationType) {
    case LocalizationType.UZ:
      return "UZ";
    case LocalizationType.RU:
      return "RU";
    case LocalizationType.UZ_KIRILL:
      return "UZ_KIRILL";
    case LocalizationType.KR:
      return "KR";
    case LocalizationType.EN:
      return "EN";
    default:
      return "UZ";
  }


}

String getString (  String key){
  switch (localeEnum) {
    case LocalizationType.UZ:
      return uz[key]??"";
    case LocalizationType.RU:
      return ru[key]??"";
    case LocalizationType.UZ_KIRILL:
      return en[key]??"";
    case LocalizationType.KR:
      return ka[key]??"";
    case LocalizationType.EN:
      return eng[key]??"";
    default:
      return uz[key]??"";
  }
}
